// FILE: src/parser/core/expr.rs

use crate::parser::ast::Expr;
use super::precedence::*;

pub fn parse_expression(parser: &mut super::utils::Parser) -> Result<Expr, super::driver::ParseError> {
    // All position handling is now in the precedence modules and ast node constructors.
    parse_ternary(parser)
}
